com.elastisys.scale.cloudpool.openstack.driver

## Class Constants

- java.lang.Object
- - com.elastisys.scale.cloudpool.openstack.driver.Constants

    public class Constants
    extends Object

Various constants for the `OpenStackCloudClient`.

### Field Summary

Fields
`static String` `CLOUD_POOL_TAG` The server meta data tag used to hold the pool membership on Openstack server instances.
`static String` `MEMBERSHIP_STATUS_TAG` The server meta data tag used to store the membership status for pool members.
`static String` `SERVICE_STATE_TAG` The server meta data tag used to store the service state for pool members.

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLOUD_POOL_TAG

    public static final String CLOUD_POOL_TAG

The server meta data tag used to hold the pool membership on Openstack server instances.

See Also:
  Constant Field Values

#### SERVICE_STATE_TAG

    public static final String SERVICE_STATE_TAG

The server meta data tag used to store the service state for pool members.

See Also:
  Constant Field Values

#### MEMBERSHIP_STATUS_TAG

    public static final String MEMBERSHIP_STATUS_TAG

The server meta data tag used to store the membership status for pool members.

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()